/* registro.h */

#define TAM_ENTIDADE 40
#define TAM_IND_BASE  5

#define TAM_TELEFONE 30
#define TAM_LINHA    55

#define NULO         '\0'
#define ESPACO       ' '

class registro {


protected:


  /* registro de indice */

  char cpz_nome_entidade [TAM_ENTIDADE];

  int i_posicao_base;

  /* registro de base */

  char cpz_telefone [TAM_TELEFONE];

  char cpz_linha_base [4] [TAM_LINHA];

  /* informacao auxiliar */

  int i_posicao_ind;


public:


  int tamanho_reg_ind ()
  {
    return ( TAM_ENTIDADE + TAM_IND_BASE );
  };

  int tamanho_reg_base ()
  {
    return ( TAM_TELEFONE + 4 * TAM_LINHA );
  };

  void coloque_buffer_ind (char *cpz_buffer);

  void coloque_buffer_base (char *cpz_buffer);

  char *traga_buffer_ind (void);
                                                         
  char *traga_buffer_base (void);

  void coloque_nome_entidade (const char *cpz_nome_ent_param);

  void coloque_posicao_base (const int i_posicao_base_param)
  {
    i_posicao_base = i_posicao_base_param;
  };

  void coloque_telefone (const char *cpz_telefone_param);

  void coloque_linha (const int i_linha, const char *cpz_linha_base_param);

  void coloque_posicao_ind (const int i_posicao)
  {
    i_posicao_ind = i_posicao;
  };

  char *traga_nome_entidade (void);

  int traga_posicao_base (void)
  {
    return i_posicao_base;
  };

  char *traga_telefone (void);

  char *traga_linha (const int i_linha);

  int traga_posicao_int (void)
  {
    return i_posicao_ind;
  };

};

